Name:           tilp2
Version:        1.17
Release:        1%{?dist}
Summary:        Texas Instruments handheld(s) <-> PC communication program

Group:          Applications/Communications
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        http://sourceforge.net/projects/tilp/files/tilp2-linux/%{name}-%{version}/%{name}-%{version}.tar.bz2
Source1:        https://tc01.fedorapeople.org/tilp2/tilp.appdata.xml

BuildRequires:  glib2-devel, pkgconfig, bison, flex, texinfo, groff, xdg-utils, libtool, gettext
BuildRequires:  gtk2-devel, SDL-devel, autoconf, automake, zlib-devel, libusb1, libticalcs2-devel
BuildRequires:  intltool, desktop-file-utils, libappstream-glib, dconf, libXinerama-devel

%description
TiLP2 is a Texas Instruments handhelds <-> PC communication
program for Linux. It is able to use any type of link cable
(Gray/Black/Silver/Direct Link) with any calculator. See
http://lpg.ticalc.org/.

With TiLP, you can transfer files from your PC to your Texas
Instruments calculator, and vice-versa. You can also make a
screen dump, send/receive data, backup/restore contents,
install FLASH applications, or upgrade the  OS.

%prep
%setup -q
#rm po/fr.gmo

%build
%configure --disable-rpath --with-xinerama
make %{?_smp_mflags}
make -C po fr.gmo
sed -i 's/\r$//' README README.linux AUTHORS RELEASE

%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/tilp.desktop
%find_lang %{name}
mkdir %{buildroot}%{_datadir}/appdata
cp %SOURCE1 %{buildroot}%{_datadir}/appdata/
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml

%files -f %{name}.lang
%{_bindir}/tilp
%{_mandir}/man1/tilp.1.gz
%{_datadir}/tilp2/
%{_datadir}/applications/tilp.desktop
%{_datadir}/mime/packages/tilp.xml
%{_datadir}/appdata/tilp.appdata.xml

%doc README README.linux RELEASE NEWS AUTHORS ABOUT-NLS
%license COPYING

%changelog
* Tue Jul 28 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.17-1
- Switched to using find_lang macro.
- Moved COPYING file to license tag.
- Fixed file line endings on documentation files.
- Added an appdata XML file.
- Added Xinerama dependency.

* Sat Apr 20 2013 'Ben Rosser' <rosser.bjr@gmail.com> 1.17-0
- Updated to latest upstream tilp version

* Wed Sep 12 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.16-1
- Fixed spelling errors in specfile

* Thu Jul 05 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.16-0
- Updated package to version 1.16
- Vastly improved specfile

* Sat Jul 30 2011 'Ben Rosser' <rosser.bjr@gmail.com> 1.15-0
- Initial version of the package
